commit:     45931f73d3e6ce8a05f6924024af948df295f7cf
Author:     Ian Stakenvicius <axs <AT> gentoo <DOT> org>
AuthorDate: Mon Jul  6 16:36:43 2015 +0000
Commit:     Ian Stakenvicius <axs <AT> gentoo <DOT> org>
CommitDate: Mon Jul  6 16:38:06 2015 +0000
URL:        https://gitweb.gentoo.org/proj/mozilla.git/commit/?id=45931f73

www-client/firefox: fixed deps on 39 and added metadata.xml so repoman full 
reports clean

Package-Manager: portage-2.2.18
Manifest-Sign-Key: 009C547C2B6559ED!
Signed-off-by: Ian Stakenvicius <axs <AT> gentoo.org>

 eclass/mozconfig-v6.39.eclass                      | 242 +++++++++++++++++++++
 www-client/firefox/Manifest                        |  10 +
 .../files/firefox-35.0-gmp-clearkey-sprintf.patch  |  10 -
 .../firefox-36.0-depollute-CONST-from-dtoa.patch   |  18 --
 .../firefox/files/firefox-36.0-disable-ion.patch   |  18 --
 ...firefox-37.0-jemalloc_configure_unbashify.patch |  11 -
 www-client/firefox/firefox-39.0.ebuild             |   2 +-
 www-client/firefox/metadata.xml                    |  29 +++
 8 files changed, 282 insertions(+), 58 deletions(-)

diff --git a/eclass/mozconfig-v6.39.eclass b/eclass/mozconfig-v6.39.eclass
new file mode 100644
index 0000000..ec387d7
--- /dev/null
+++ b/eclass/mozconfig-v6.39.eclass
@@ -0,0 +1,242 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/eclass/mozconfig-v5.38.eclass,v 1.1 
2015/05/27 19:00:31 axs Exp $
+#
+# @ECLASS: mozconfig-v5.33.eclass
+# @MAINTAINER:
+# mozilla team <[email protected]>
+# @BLURB: the new mozilla common configuration eclass for FF33 and newer, v5
+# @DESCRIPTION:
+# This eclass is used in mozilla ebuilds (firefox, thunderbird, seamonkey)
+# to provide a single common place for the common mozilla engine compoments.
+#
+# The eclass provides all common dependencies as well as common use flags.
+#
+# Some use flags which may be optional in particular mozilla packages can be
+# supported through setting eclass variables.
+#
+# This eclass inherits mozconfig helper functions as defined in mozcoreconf-v3,
+# and so ebuilds inheriting this eclass do not need to inherit that.
+
+inherit multilib flag-o-matic toolchain-funcs mozcoreconf-v3
+
+case ${EAPI} in
+       0|1|2|3|4) die "EAPI=${EAPI} not supported"
+esac
+
+# @ECLASS-VARIABLE: MOZCONFIG_OPTIONAL_WIFI
+# @DESCRIPTION:
+# Set this variable before the inherit line, when an ebuild needs to provide
+# optional necko-wifi support via IUSE="wifi".  Currently this would include
+# ebuilds for firefox, and potentially seamonkey.
+#
+# Leave the variable UNSET if necko-wifi support should not be available.
+# Set the variable to "enabled" if the use flag should be enabled by default.
+# Set the variable to any value if the use flag should exist but not be 
default-enabled.
+
+# @ECLASS-VARIABLE: MOZCONFIG_OPTIONAL_JIT
+# @DESCRIPTION:
+# Set this variable before the inherit line, when an ebuild needs to provide
+# optional necko-wifi support via IUSE="jit".  Currently this would include
+# ebuilds for firefox, and potentially seamonkey.
+#
+# Leave the variable UNSET if optional jit support should not be available.
+# Set the variable to "enabled" if the use flag should be enabled by default.
+# Set the variable to any value if the use flag should exist but not be 
default-enabled.
+
+# use-flags common among all mozilla ebuilds
+IUSE="${IUSE} dbus debug gstreamer gstreamer-0 +jemalloc3 pulseaudio selinux 
startup-notification system-cairo system-icu system-jpeg system-sqlite 
system-libvpx"
+
+# some notes on deps:
+# gtk:2 minimum is technically 2.10 but gio support (enabled by default) needs 
2.14
+# media-libs/mesa needs to be 10.2 or above due to a bug with flash+vdpau
+
+RDEPEND=">=app-text/hunspell-1.2
+       dev-libs/atk
+       dev-libs/expat
+       >=dev-libs/libevent-1.4.7
+       >=x11-libs/cairo-1.10[X]
+       >=x11-libs/gtk+-2.18:2
+       x11-libs/gdk-pixbuf
+       >=x11-libs/pango-1.22.0
+       >=media-libs/libpng-1.6.16:0=[apng]
+       >=media-libs/mesa-10.2:*
+       media-libs/fontconfig
+       >=media-libs/freetype-2.4.10
+       kernel_linux? ( media-libs/alsa-lib )
+       pulseaudio? ( media-sound/pulseaudio )
+       virtual/freedesktop-icon-theme
+       dbus? ( >=sys-apps/dbus-0.60
+               >=dev-libs/dbus-glib-0.72 )
+       startup-notification? ( >=x11-libs/startup-notification-0.8 )
+       >=dev-libs/glib-2.26:2
+       >=sys-libs/zlib-1.2.3
+       >=virtual/libffi-3.0.10
+       gstreamer? (
+               >=media-libs/gstreamer-1.2.3:1.0
+               >=media-libs/gst-plugins-base-1.2.3:1.0
+               >=media-libs/gst-plugins-good-1.2.3:1.0
+               >=media-plugins/gst-plugins-libav-1.1.0_pre20130128-r1:1.0
+       )
+       gstreamer-0? (
+               >=media-libs/gstreamer-0.10.25:0.10
+               media-plugins/gst-plugins-meta:0.10[ffmpeg]
+       )
+       x11-libs/libX11
+       x11-libs/libXcomposite
+       x11-libs/libXdamage
+       x11-libs/libXext
+       x11-libs/libXfixes
+       x11-libs/libXrender
+       x11-libs/libXt
+       system-cairo? ( >=x11-libs/cairo-1.12[X] >=x11-libs/pixman-0.19.2 )
+       system-icu? ( >=dev-libs/icu-51.1:= )
+       system-jpeg? ( >=media-libs/libjpeg-turbo-1.2.1 )
+       system-sqlite? ( >=dev-db/sqlite-3.8.9:3[secure-delete,debug=] )
+       system-libvpx? ( >=media-libs/libvpx-1.3.0[postproc] )
+"
+
+if [[ -n ${MOZCONFIG_OPTIONAL_WIFI} ]]; then
+       if [[ ${MOZCONFIG_OPTIONAL_WIFI} = "enabled" ]]; then
+               IUSE+=" +wifi"
+       else
+               IUSE+=" wifi"
+       fi
+       RDEPEND+="
+       wifi? ( >=sys-apps/dbus-0.60
+               >=dev-libs/dbus-glib-0.72
+               net-wireless/wireless-tools )"
+fi
+if [[ -n ${MOZCONFIG_OPTIONAL_JIT} ]]; then
+       if [[ ${MOZCONFIG_OPTIONAL_JIT} = "enabled" ]]; then
+               IUSE+=" +jit"
+       else
+               IUSE+=" jit"
+       fi
+fi
+
+DEPEND="app-arch/zip
+       app-arch/unzip
+       >=sys-devel/binutils-2.16.1
+       ${RDEPEND}"
+
+RDEPEND+="
+       selinux? ( sec-policy/selinux-mozilla )"
+
+# only one of gstreamer and gstreamer-0 can be enabled at a time, so set 
REQUIRED_USE to signify this
+REQUIRED_USE="?? ( gstreamer gstreamer-0 )"
+
+# @FUNCTION: mozconfig_config
+# @DESCRIPTION:
+# Set common configure options for mozilla packages.
+# Call this within src_configure() phase, after mozconfig_init
+#
+# Example:
+#
+# inherit mozconfig-v5.33
+#
+# src_configure() {
+#      mozconfig_init
+#      mozconfig_config
+#      # ... misc ebuild-unique settings via calls to
+#      # ... mozconfig_{annotate,use_with,use_enable}
+#      mozconfig_final
+# }
+
+mozconfig_config() {
+       # Migrated from mozcoreconf-2
+       mozconfig_annotate 'system_libs' \
+               --with-system-zlib \
+               --enable-pango \
+               --enable-svg \
+               --with-system-bz2
+
+       mozconfig_annotate '' --enable-default-toolkit=cairo-gtk2
+
+       if has bindist ${IUSE}; then
+               mozconfig_use_enable !bindist official-branding
+               if [[ ${PN} == firefox ]] && use bindist ; then
+                       mozconfig_annotate '' 
--with-branding=browser/branding/aurora
+               fi
+       fi
+
+       mozconfig_use_enable debug
+       mozconfig_use_enable debug tests
+
+       if ! use debug ; then
+               mozconfig_annotate 'disabled by Gentoo' --disable-debug-symbols
+       else
+               mozconfig_annotate 'enabled by Gentoo' --enable-debug-symbols
+       fi
+
+       mozconfig_use_enable startup-notification
+
+       if [[ -n ${MOZCONFIG_OPTIONAL_WIFI} ]] ; then
+               # wifi pulls in dbus so manage both here
+               mozconfig_use_enable wifi necko-wifi
+               if use wifi && ! use dbus; then
+                       echo "Enabling dbus support due to wifi request"
+                       mozconfig_annotate 'dbus required by necko-wifi' 
--enable-dbus
+               else
+                       mozconfig_use_enable dbus
+               fi
+       else
+               mozconfig_use_enable dbus
+               mozconfig_annotate 'disabled' --disable-necko-wifi
+       fi
+
+       # These are forced-on for webm support
+       mozconfig_annotate 'required' --enable-ogg
+       mozconfig_annotate 'required' --enable-wave
+
+       if [[ -n ${MOZCONFIG_OPTIONAL_JIT} ]]; then
+               mozconfig_use_enable jit ion
+       fi
+
+       # These are enabled by default in all mozilla applications
+       mozconfig_annotate '' --with-system-nspr 
--with-nspr-prefix="${EPREFIX}"/usr
+       mozconfig_annotate '' --with-system-nss 
--with-nss-prefix="${EPREFIX}"/usr
+       mozconfig_annotate '' --x-includes="${EPREFIX}"/usr/include 
--x-libraries="${EPREFIX}"/usr/$(get_libdir)
+       mozconfig_annotate '' --with-system-libevent="${EPREFIX}"/usr
+       mozconfig_annotate '' --prefix="${EPREFIX}"/usr
+       mozconfig_annotate '' --libdir="${EPREFIX}"/usr/$(get_libdir)
+       mozconfig_annotate 'Gentoo default' --enable-system-hunspell
+       mozconfig_annotate '' --disable-gnomevfs
+       mozconfig_annotate '' --disable-gnomeui
+       mozconfig_annotate '' --enable-gio
+       mozconfig_annotate '' --disable-crashreporter
+       mozconfig_annotate 'Gentoo default' --with-system-png
+       mozconfig_annotate '' --enable-system-ffi
+       mozconfig_annotate 'Gentoo default to honor system linker' 
--disable-gold
+       mozconfig_annotate '' --disable-gconf
+
+       # Use jemalloc unless libc is not glibc >= 2.4
+       # at this time the minimum glibc in the tree is 2.9 so we should be 
safe.
+       if use elibc_glibc && use jemalloc3; then
+               # We must force-enable jemalloc 3 via .mozconfig
+               echo "export MOZ_JEMALLOC3=1" >> "${S}"/.mozconfig || die
+               mozconfig_annotate '' --enable-jemalloc
+               mozconfig_annotate '' --enable-replace-malloc
+       fi
+
+       mozconfig_annotate '' --target="${CTARGET:-${CHOST}}"
+       mozconfig_annotate '' --build="${CTARGET:-${CHOST}}"
+
+       if use gstreamer || use gstreamer-0 ; then
+               if use gstreamer-0 ; then
+                       mozconfig_annotate '+gstreamer-0' 
--enable-gstreamer=0.10
+               else
+                       mozconfig_annotate '+gstreamer' --enable-gstreamer=1.0
+               fi
+       else
+               mozconfig_annotate '' --disable-gstreamer
+       fi
+       mozconfig_use_enable pulseaudio
+
+       mozconfig_use_enable system-cairo
+       mozconfig_use_enable system-sqlite
+       mozconfig_use_with system-jpeg
+       mozconfig_use_with system-icu
+       mozconfig_use_enable system-icu intl-api
+       mozconfig_use_with system-libvpx
+}

diff --git a/www-client/firefox/Manifest b/www-client/firefox/Manifest
index af106b4..8a37bc6 100644
--- a/www-client/firefox/Manifest
+++ b/www-client/firefox/Manifest
@@ -1,3 +1,6 @@
+-----BEGIN PGP SIGNED MESSAGE-----
+Hash: SHA256
+
 DIST firefox-38.0-patches-0.3.tar.xz 4796 SHA256 
bfbef81748f76f5f80c3ce6e6b810b65f6266f71da02722b1e8c9fad865b02bd SHA512 
a974e33759246153db7d83488f1326275efd12c44a6c8c539cbc35709b4dbd27e848bda32f302ac2baa5d8729ba20579ebc7f643419757f542972ca1a264d520
 WHIRLPOOL 
3549239db380c02a1575ff407ea684a14827f2250d991b5eb6c8a341ceebaca57cd2cc422e160f00dfab933385d677574cd84947da07bd282c68bb84c40fa42b
 DIST firefox-38.1.0esr-af.xpi 483325 SHA256 
1a4c6835db2ba384767f6ceddf021a30b61c1d29f17577cf2f7330e3358c9ff7 SHA512 
44c08b31c3c1c3160c4e992a01bb2eeb30c8177956b29d09be336970521a7671f1847dd88122973236f34bd5559a9d69bdefc271386f6cda8edf90be520f34e1
 WHIRLPOOL 
a104dfcfd811424d53e1bb4d85d20b7a4d56dff6275d94ac180073f5abc770bf81e0cfa6fa7a6a98f29bc76b687e58071a4c7dbea51a638019a3e6fb5295864f
 DIST firefox-38.1.0esr-ar.xpi 516495 SHA256 
47eef2d1bfa6e5594cd8835bddca7bfd5019aac1553b54b05c1c749fad659dda SHA512 
156891397a303d80833bcfdb459ff79f252257c5b9a7d9af5df334772b855f3c19d82af8daf3b6a1c205d63cc508fc57a75b85c756e22813b7a680784cf5289d
 WHIRLPOOL 
2d8ab97d91087bafeeea01174da694d8de9e12fb0854e5b770f80822f1b72246c65ae7d6f7c993908883bf138fc6732f6aa62f40263b42f609506001a3dd39b1
@@ -159,3 +162,10 @@ DIST firefox-39.0-xh.xpi 454916 SHA256 
8d66c08160c6a2e3860bca6cc7d9c87b653c97c70
 DIST firefox-39.0-zh-CN.xpi 492380 SHA256 
a7e959d6aba6f67b880b9ebcc1d1c2e253f01e079475191dc3eef978a9d9b2b5 SHA512 
cb4e8c6f813692b66d2f86c454b25b129308ccf68e830f0b7c104340858f0b2fc7472a7e0ba1fbe093a05ac0c07e2d5cedf390abf4b1b4b74b68d45b43ca6ec7
 WHIRLPOOL 
dc5a3f3e80712986203a9d6e8883378e3de72f1a365649e601526a4b36286f9fbe29e181ea55bd6b221bbf5a53951ce0818888a886654d5147591bacd3b5dcaa
 DIST firefox-39.0-zh-TW.xpi 471887 SHA256 
ec30c554c57aa27835723253f4c0dfc4fc75ca591f9a64fbd65f7622d7b212dd SHA512 
6f247e71d3b6d232972a538517a9d148d30ecfd24efa4a4851b52a3db7a079ef039473be8596e09236009b785f84f98c82a01c7013cfc0e2333ff4dbfdff0a1f
 WHIRLPOOL 
735fde774086000d85e9718b498aad5fbbc5e7df6105c34d33a67210a119aae748dcb3dbe11039057b0cea242640f257883131a341895dc4acfbfdacf4681736
 DIST firefox-39.0.source.tar.bz2 182881881 SHA256 
7e25014deb926df9220c3ab40ac6816c13a04c4cf7bd89b08fc1743307df1096 SHA512 
963dbf48c077659edd49868e2e11600ba232a7cbf35e4acb20f10b878f2d2278e3d33c9eaa9272a07b7b6e2e565e4b40ebc269a128935ee4e044857c828dbc50
 WHIRLPOOL 
7c67f401c4fb1c5f194f4c9c90af3583622eea36ed14840ea24ec2c4f007407bb984488e6fddc161b399de30511bed70f93000de4c94f837c23e822a67e72ec7
+-----BEGIN PGP SIGNATURE-----
+Version: GnuPG v2
+
+iF4EAREIAAYFAlWarpsACgkQAJxUfCtlWe2J4gEAioxOLNbMyBnyPrvAyvTNGrxx
+TNhZjn+yPD//oPpFpQkBAKNaEeny1l6UhCpGjN+2B8KUSY9Ggc7Jmv2ylJ3yVSFo
+=fKlR
+-----END PGP SIGNATURE-----

diff --git a/www-client/firefox/files/firefox-35.0-gmp-clearkey-sprintf.patch 
b/www-client/firefox/files/firefox-35.0-gmp-clearkey-sprintf.patch
deleted file mode 100644
index dfd9a8d..0000000
--- a/www-client/firefox/files/firefox-35.0-gmp-clearkey-sprintf.patch
+++ /dev/null
@@ -1,10 +0,0 @@
---- a/mozilla-beta/media/gmp-clearkey/0.1/openaes/oaes_lib.c   2014-12-04 
11:24:16.279571363 -0500
-+++ b/mozilla-beta/media/gmp-clearkey/0.1/openaes/oaes_lib.c   2014-12-04 
11:23:07.449572313 -0500
-@@ -42,6 +42,7 @@
- 
- #include "oaes_config.h"
- #include "oaes_lib.h"
-+#include "standard.h"
- 
- #ifdef OAES_HAVE_ISAAC
- #include "rand.h"

diff --git 
a/www-client/firefox/files/firefox-36.0-depollute-CONST-from-dtoa.patch 
b/www-client/firefox/files/firefox-36.0-depollute-CONST-from-dtoa.patch
deleted file mode 100644
index 137bbfd..0000000
--- a/www-client/firefox/files/firefox-36.0-depollute-CONST-from-dtoa.patch
+++ /dev/null
@@ -1,18 +0,0 @@
---- a/mozilla-release/js/src/dtoa.c    2015-03-01 12:51:12.950912536 -0500
-+++ b/mozilla-release/js/src/dtoa.c    2015-03-01 12:57:49.670919777 -0500
-@@ -245,6 +245,7 @@
- #endif
- 
- #ifndef CONST
-+#define DTOA_UNSETCONSTDEF
- #ifdef KR_headers
- #define CONST /* blank */
- #else
-@@ -3246,3 +3247,7 @@
-               *rve = s;
-       return s0;
-       }
-+
-+#ifdef DTOA_UNSETCONSTDEF
-+#undef CONST
-+#endif

diff --git a/www-client/firefox/files/firefox-36.0-disable-ion.patch 
b/www-client/firefox/files/firefox-36.0-disable-ion.patch
deleted file mode 100644
index 50c5c51..0000000
--- a/www-client/firefox/files/firefox-36.0-disable-ion.patch
+++ /dev/null
@@ -1,18 +0,0 @@
---- a/mozilla-release/js/src/jit/none/Lowering-none.h  2015-03-01 
11:11:55.340803791 -0500
-+++ a/mozilla-release/js/src/jit/none/Lowering-none.h  2015-03-01 
11:18:41.500811205 -0500
-@@ -65,6 +65,7 @@
-     bool lowerMulI(MMul *, MDefinition *, MDefinition *) { MOZ_CRASH(); }
-     bool lowerUDiv(MDiv *) { MOZ_CRASH(); }
-     bool lowerUMod(MMod *) { MOZ_CRASH(); }
-+    bool visitValue(LValue *value) { MOZ_CRASH(); }
-     bool visitBox(MBox *box) { MOZ_CRASH(); }
-     bool visitUnbox(MUnbox *unbox) { MOZ_CRASH(); }
-     bool visitReturn(MReturn *ret) { MOZ_CRASH(); }
-@@ -78,6 +79,7 @@
-     bool visitAsmJSStoreHeap(MAsmJSStoreHeap *ins) { MOZ_CRASH(); }
-     bool visitAsmJSLoadFuncPtr(MAsmJSLoadFuncPtr *ins) { MOZ_CRASH(); }
-     bool visitStoreTypedArrayElementStatic(MStoreTypedArrayElementStatic 
*ins) { MOZ_CRASH(); }
-+    bool visitSubstr(MSubstr *ins) { MOZ_CRASH(); }
-     bool visitForkJoinGetSlice(MForkJoinGetSlice *ins) { MOZ_CRASH(); }
-     bool visitAtomicTypedArrayElementBinop(MAtomicTypedArrayElementBinop 
*ins) { MOZ_CRASH(); }
-     bool 
visitCompareExchangeTypedArrayElement(MCompareExchangeTypedArrayElement *ins) { 
MOZ_CRASH(); }

diff --git 
a/www-client/firefox/files/firefox-37.0-jemalloc_configure_unbashify.patch 
b/www-client/firefox/files/firefox-37.0-jemalloc_configure_unbashify.patch
deleted file mode 100644
index b5278b1..0000000
--- a/www-client/firefox/files/firefox-37.0-jemalloc_configure_unbashify.patch
+++ /dev/null
@@ -1,11 +0,0 @@
---- a/memory/jemalloc/src/configure.ac 2015-03-30 18:54:42.000000000 -0400
-+++ b/memory/jemalloc/src/configure.ac 2015-04-06 16:23:52.170389285 -0400
-@@ -989,7 +989,7 @@
- AC_ARG_WITH([lg_page],
-   [AS_HELP_STRING([--with-lg-page=<lg-page>], [Base 2 log of system page 
size])],
-   [LG_PAGE="$with_lg_page"], [LG_PAGE="detect"])
--if test "x$LG_PAGE" == "xdetect"; then
-+if test "x$LG_PAGE" = "xdetect"; then
-   AC_CACHE_CHECK([LG_PAGE],
-                [je_cv_lg_page],
-                AC_RUN_IFELSE([AC_LANG_PROGRAM(

diff --git a/www-client/firefox/firefox-39.0.ebuild 
b/www-client/firefox/firefox-39.0.ebuild
index 9decdda..d76746e 100644
--- a/www-client/firefox/firefox-39.0.ebuild
+++ b/www-client/firefox/firefox-39.0.ebuild
@@ -36,7 +36,7 @@ MOZ_HTTP_URI="http://ftp.mozilla.org/pub/${PN}/releases";
 MOZCONFIG_OPTIONAL_WIFI=1
 MOZCONFIG_OPTIONAL_JIT="enabled"
 
-inherit check-reqs flag-o-matic toolchain-funcs eutils gnome2-utils 
mozconfig-v6.38 multilib pax-utils fdo-mime autotools virtualx mozlinguas
+inherit check-reqs flag-o-matic toolchain-funcs eutils gnome2-utils 
mozconfig-v6.39 multilib pax-utils fdo-mime autotools virtualx mozlinguas
 
 DESCRIPTION="Firefox Web Browser"
 HOMEPAGE="http://www.mozilla.com/firefox";

diff --git a/www-client/firefox/metadata.xml b/www-client/firefox/metadata.xml
new file mode 100644
index 0000000..7c281db
--- /dev/null
+++ b/www-client/firefox/metadata.xml
@@ -0,0 +1,29 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd";>
+<pkgmetadata>
+<herd>mozilla</herd>
+<use>
+       <flag name="bindist">Disable official Firefox branding (icons, name) 
which 
+               are not binary-redistributable according to upstream.</flag>
+       <flag name="custom-optimization">Fine-tune custom compiler
+               optimizations (-Os, -O0, -O1, -O2, -O3)</flag>
+       <flag name="gmp-autoupdate">Allow Gecko Media Plugins (binary blobs) to 
be automatically
+               downloaded and kept up-to-date in user profiles</flag>
+       <flag name="gstreamer-0">Use gstreamer:0.10 instead of gstreamer:1 for 
media support</flag>
+       <flag name="jemalloc3">Enable or disable jemalloc3 (forced-on when 
supported prior to 38.0)</flag>
+       <flag name="minimal">Prevent sdk and headers from being installed</flag>
+       <flag name="pgo">Add support for profile-guided optimization using 
gcc-4.5,
+               for faster binaries. This option will double the compile 
time.</flag>
+       <flag name="system-cairo">Use the system-wide <pkg>x11-libs/cairo</pkg>
+               instead of bundled.</flag>
+       <flag name="system-icu">Use the system-wide <pkg>dev-libs/icu</pkg>
+               instead of bundled.</flag>
+       <flag name="system-jpeg">Use the system-wide 
<pkg>media-libs/libjpeg-turbo</pkg>
+               instead of bundled.</flag>
+       <flag name="system-libvpx">Use the system-wide 
<pkg>media-libs/libvpx</pkg>
+               instead of bundled.</flag>
+       <flag name="system-sqlite">Use the system-wide <pkg>dev-db/sqlite</pkg>
+               installation with secure-delete enabled</flag>
+       <flag name="egl">Enable EGL provider</flag>
+</use>
+</pkgmetadata>

Reply via email to